local QuietMacrosName, QuietMacros = ...

QuietMacros.speechOff = false
QuietMacros.soundEffectsOff = false

SLASH_QUIETMACROS1 = "/q"
SlashCmdList["QUIETMACROS"] = function(command)
    -- sound off
    if command == "0" then
        SetCVar("Sound_EnableErrorSpeech", 0)
        QuietMacros.speechOff = true
    elseif command == "seo" then
        SetCVar("Sound_EnableSFX", 0)
        QuietMacros.soundEffectsOff = true
    -- sound on
    elseif command == "1" then
        if QuietMacros.speechOff then
            SetCVar("Sound_EnableErrorSpeech", 1)
            QuietMacros.speechOff = false
        end
        if QuietMacros.soundEffectsOff then
            SetCVar("Sound_EnableSFX", 1)
            QuietMacros.soundEffectsOff = false
        end
        UIErrorsFrame:Clear()
    -- clear frames
    elseif command == "c" or command == "C" then
        UIErrorsFrame:Clear()
    -- shift control
    elseif command == "nsic" then
        if InCombatLockdown() then
            SetCVar("AutoUnshift", 0)
        end
    elseif command == "ns" then
        SetCVar("AutoUnshift", 0)
    elseif command == "as" then
        SetCVar("AutoUnshift", 1)
    -- debug
    elseif command == "debugon" then
        QuietMacros.debug = true
    elseif command == "debugoff" then
        QuietMacros.debug = false
    end;
    if QuietMacros.debug then
        DEFAULT_CHAT_FRAME:AddMessage("Sound_EnableErrorSpeech: "..GetCVar("Sound_EnableErrorSpeech"))
        DEFAULT_CHAT_FRAME:AddMessage("Sound_EnableSFX: "..GetCVar("Sound_EnableSFX"))
        DEFAULT_CHAT_FRAME:AddMessage("AutoUnshift: "..GetCVar("AutoUnshift"))
    end;
end;
